/*****************************************************************************

 @(#) tpi_sctp.h,v 0.7.6.1 2001/11/29 09:46:01 brian Exp

 -----------------------------------------------------------------------------

 Copyright (C) 2001  OpenSS7 Corporation <http://www.openss7.com>

 All Rights Reserved.

 This program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; either version 2 of the License, or (at your option) any later
 version.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 details.

 You should have received a copy of the GNU General Public License along with
 this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 Ave, Cambridge, MA 02139, USA.

 -----------------------------------------------------------------------------

 U.S. GOVERNMENT RESTRICTED RIGHTS.  If you are licensing this Software on
 behalf of the U.S. Government ("Government"), the following provisions apply
 to you.  If the Software is supplied by the Department of Defense ("DoD"), it
 is classified as "Commercial Computer Software" under paragraph 252.227-7014
 of the DoD Supplement to the Federal Acquisition Regulations ("DFARS") (or any
 successor regulations) and the Government is acquiring only the license rights
 granted herein (the license rights customarily provided to non-Government
 users).  If the Software is supplied to any unit or agency of the Government
 other than DoD, it is classified as "Restricted Computer Software" and the
 Government's rights in the Software are defined in paragraph 52.227-19 of the
 Federal Acquisition Regulations ("FAR") (or any success regulations) or, in
 the cases of NASA, in paragraph 18.52.227-86 of the NASA Supplement to the FAR
 (or any successor regulations).

 -----------------------------------------------------------------------------

 Last Modified 2001/11/29 09:46:01 by brian

 *****************************************************************************/

#ifndef _SYS_TPI_SCTP_H
#define _SYS_TPI_SCTP_H

#ifndef T_CURRENT_VERSION

#define T_CURRENT_VERSION 5

/*
 *  Missing from LiS tihdr.h
 */
#ifndef T_MORE
#define T_MORE          0x0001
#endif
#ifndef T_EXPEDITED
#define T_EXPEDITED     0x0002
#endif
#ifndef T_ODF_MORE
#define T_ODF_MORE	T_MORE
#endif
#ifndef T_ODF_EX
#define T_ODF_EX	T_EXPEDITED
#endif
#ifndef XPG4_1
#define XPG4_1          2   /* This indicates that the transport provider conforms to XTI in XPG4 and supports the new primitives T_ADDR_REQ and T_ADDR_ACK */
#endif

/*
 *  Errors in LiS tihdr.h
 */
#define T_optdata_ind T_optdata_ack
#define optdata_ind optdata_ack

#endif /* T_CURRENT_VERSION */

#endif  _SYS_TPI_SCTP_H

